// JavaScript Document

var gSHRAM_LocRawData = "";
var gSHRAM_Power = 0;
var g_RecvResponseRaw = "0"


function LocClass(_addr, _dir, _speed, _func) {
    this.addr = _addr;
    this.dir = _dir;
    this.speed = _speed;
    this.func = _func;
}

function SHRAM_getPower()
{
    var url = "/command.cgi?op=130&ADDR=128&LEN=1";

    $.get(url, function(data) {
        g_RecvResponseRaw = data;
    });
}

function SHRAM_setPower(inPower)
{
    var url = "/command.cgi?op=131&ADDR=128&LEN=1&DATA=";
    
    if( inPower == 1)
    {
    	url = url + "Y";
    }
    else
    {
    	url = url + "N";
    }

    $.get(url, function(data) {
        //g_RecvResponseRaw = data;
    });
}

function SHRAM_getSlot(inAddr)
{
    var aSlot = 0;





    return aSlot;
}

function SHRAM_getStatusAll() {

    // ADDR
    // 0-63 COMMAND to Arduino
    // 64-127 reserved
    // 128 DSair Status
    // 129-256 LocStatus(LOCADDR 2, DIR 1, SPD 1, FNC 4 = 8) 8x8=64
    // 257-511 AccStatus 

    var url = "/command.cgi?op=130&ADDR=128&LEN=65";
    $.get(url, function(data) {
        
        gSHRAM_LocRawData = data;

        var aRawData = [];

        for (var i = 0; i < str.length; i += 2) {
            aRawData.push(parseInt(str.substr(i, 2)));
        }

        //dataにHEX Stringが入る。
        gSHRAM_Power = aRawData[0];


        





        //$('#mastercode').text(data);
        //mastercode = data;
    });
}

function SHRAM_setLocData(inSlot, inAddr, inSpeed, inDir, inFunc) {
    var LocData = inAddr.toString(16, 4);
    var aAddr = (128 + 1 + inSlot * 8).toString();
    var aFunc = inFunc.toString(16, 8);

    var url = "/command.cgi?op=131&ADDR=" + aAddr + "&LEN=8&DATA=" + aFunc;

    $.get(url, function(data) {
        //$('#appssid').val(data);
    });
}

function SHRAM_getAccStatus(inIndex) {
    var aAddr = (512 + (inIndex / 5)).toString();
    var url = "/command.cgi?op=130&ADDR=" + aAddr + "&LEN=2";

    $.get(url, function(data) {
        
        if( data.length != 0)
        {
            var aStatusWORD = parseInt(data, 16);
            var aStatusA = (aStatusWORD & 255) >> 1; 
            var aStatusB = (aStatusWORD & 127) >> 9; 

            for( var i = 0; i < 5; i++ ){
                AccStatus[inIndex + i] = (aStatus1 >> i) & 1;
                AccStatus[inIndex + i + 5] = (aStatus2 >> i) & 1;
            }
        }
        else
        {
            //0x00か、データ無し
            //データをセットする
            SHRAM_setAccStatus(inIndex);
        }
    });
    
}

function SHRAM_setAccStatus(inIndex) {

    var aAddr = (512 + (inIndex / 5)).toString();
    var aStatus1 = 1;
    var aStstus2 = 1;

    for( var i = 0; i < 5; i++ ){
      aStatus1 = aStatus1 + (AccStatus[inIndex + i] << (i + 1));
      aStatus2 = aStatus2 + (AccStatus[inIndex + i + 5] << (i + 1));
    }

    var url = "/command.cgi?op=131&ADDR=" + aAddr + "&LEN=2&DATA=" + aStatus1.toString(16, 8) + aStatus2.toString(16, 8);

    $.get(url, function(data) {
        //$('#appssid').val(data);
    });

}







//Document Ready
$(function() {




});